summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorkj_sh6042026-01-17 11:56:20 -0500
committerkj_sh6042026-01-17 11:56:20 -0500
commit2280cabc6950173eb5c182c5eec1fcc56ca52e14 (patch)
tree796c3370a0a5db5617d4be04f92ee7aabd647805
parent82fe5a68931d088095a13c70b1af15293761eb30 (diff)
refactor: add `kj-youtube-dl-git`
-rw-r--r--kj-youtube-dl/.SRCINFO18
-rw-r--r--kj-youtube-dl/.gitignore4
-rw-r--r--kj-youtube-dl/PKGBUILD32
-rw-r--r--kj-youtube-dl/kj-youtube-dl.desktop8
4 files changed, 62 insertions, 0 deletions
diff --git a/kj-youtube-dl/.SRCINFO b/kj-youtube-dl/.SRCINFO
new file mode 100644
index 0000000..af83892
--- /dev/null
+++ b/kj-youtube-dl/.SRCINFO
@@ -0,0 +1,18 @@
+pkgbase = kj-youtube-dl-git
+ pkgdesc = yup, yet another youtube-dl/yt-dlp GUI wrapper
+ pkgver = r11.201f27f
+ pkgrel = 1
+ url = https://github.com/kj-sh604/kj-youtube-dl
+ arch = x86_64
+ license = 0BSD
+ makedepends = git
+ makedepends = pkgconf
+ depends = gtk3
+ depends = yt-dlp
+ optdepends = mpv: streaming support
+ provides = kj-youtube-dl
+ conflicts = kj-youtube-dl
+ source = git+https://github.com/kj-sh604/kj-youtube-dl.git
+ sha384sums = SKIP
+
+pkgname = kj-youtube-dl-git
diff --git a/kj-youtube-dl/.gitignore b/kj-youtube-dl/.gitignore
new file mode 100644
index 0000000..64279e7
--- /dev/null
+++ b/kj-youtube-dl/.gitignore
@@ -0,0 +1,4 @@
+pkg/
+src/
+kj-youtube-dl/
+*.tar* \ No newline at end of file
diff --git a/kj-youtube-dl/PKGBUILD b/kj-youtube-dl/PKGBUILD
new file mode 100644
index 0000000..28bd52f
--- /dev/null
+++ b/kj-youtube-dl/PKGBUILD
@@ -0,0 +1,32 @@
+pkgname=kj-youtube-dl-git
+pkgver=r11.201f27f
+pkgrel=1
+pkgdesc="yup, yet another youtube-dl/yt-dlp GUI wrapper"
+arch=('x86_64')
+url="https://github.com/kj-sh604/kj-youtube-dl"
+license=('0BSD')
+depends=('gtk3' 'yt-dlp')
+makedepends=('git' 'pkgconf')
+optdepends=('mpv: streaming support')
+# best practice shit right here
+provides=('kj-youtube-dl')
+conflicts=('kj-youtube-dl')
+source=("git+https://github.com/kj-sh604/kj-youtube-dl.git")
+sha384sums=('SKIP')
+
+pkgver() {
+ cd "${srcdir}/kj-youtube-dl" || return 1
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+}
+
+build() {
+ cd "${srcdir}/kj-youtube-dl" || return 1
+ make PREFIX=/usr
+}
+
+package() {
+ cd "${srcdir}/kj-youtube-dl" || return 1
+ install -Dm755 bin/kj-youtube-dl "${pkgdir}/usr/bin/kj-youtube-dl"
+ install -Dm644 archlinux/kj-youtube-dl.desktop "${pkgdir}/usr/share/applications/kj-youtube-dl.desktop"
+ install -Dm644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+}
diff --git a/kj-youtube-dl/kj-youtube-dl.desktop b/kj-youtube-dl/kj-youtube-dl.desktop
new file mode 100644
index 0000000..69fe5fd
--- /dev/null
+++ b/kj-youtube-dl/kj-youtube-dl.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=kj-youtube-dl
+Comment=yup, yet another youtube-dl/yt-dlp GUI wrapper
+Exec=kj-youtube-dl
+Terminal=false
+Type=Application
+Categories=AudioVideo;Network;
+Keywords=YouTube;download;yt-dlp;video;audio;